Bug 112431 - When using samba with XP pro, large number of errors in /var/log/messages appear.
When using samba with XP pro, large number of errors in /var/log/messages app...
Status: CLOSED DUPLICATE of bug 112424
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-19 11:52 EST by Kimo Bonnelycke
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kimo Bonnelycke 2003-12-19 11:52:19 EST
Version of samba  3.0.0-14.3E

When using samba share on windows machine, transfer speeds start fast,
and then performance drops dramatically.  I checked /var/log/messages,
and I am recieveing the following message:

Dec 18 15:47:10 fileserver samba(pam_unix)[20621]: session opened for
user Administrator by (uid=0)
Dec 18 15:47:10 fileserver smbd[20621]: [2003/12/18 15:47:10, 0]
lib/fault.c:fault_report(36) 
Dec 18 15:47:10 fileserver smbd[20621]:  
=============================================================== 
Dec 18 15:47:10 fileserver smbd[20621]: [2003/12/18 15:47:10, 0]
lib/fault.c:fault_report(37) 
Dec 18 15:47:10 fileserver smbd[20621]:   INTERNAL ERROR: Signal 11 in
pid 20621 (3.0.0-14.3E) 
Dec 18 15:47:10 fileserver smbd[20621]:   Please read the appendix
Bugs of the Samba HOWTO collection 
Dec 18 15:47:10 fileserver smbd[20621]: [2003/12/18 15:47:10, 0]
lib/fault.c:fault_report(39) 
Dec 18 15:47:10 fileserver smbd[20621]:  
=============================================================== 
Dec 18 15:47:10 fileserver smbd[20621]: [2003/12/18 15:47:10, 0]
lib/util.c:smb_panic(1422) 
Dec 18 15:47:10 fileserver smbd[20621]:   PANIC: internal error 
Dec 18 15:47:10 fileserver smbd[20621]: [2003/12/18 15:47:10, 0]
lib/util.c:smb_panic(1429) 
Dec 18 15:47:10 fileserver smbd[20621]:   BACKTRACE: 18 stack frames: 
Dec 18 15:47:10 fileserver smbd[20621]:    #0 smbd(smb_panic+0x11c)
[0x81bbedc] 
Dec 18 15:47:10 fileserver smbd[20621]:    #1 smbd [0x81aa652] 
Dec 18 15:47:10 fileserver smbd[20621]:    #2 /lib/tls/libc.so.6
[0xb7266c08] 
Dec 18 15:47:10 fileserver smbd[20621]:    #3 smbd(unix_strupper+0x36)
[0x81a85d6] 
Dec 18 15:47:10 fileserver smbd[20621]:    #4 smbd(strupper_m+0x42)
[0x81b5002] 
Dec 18 15:47:10 fileserver smbd[20621]:    #5 smbd [0x80d056a] 
Dec 18 15:47:10 fileserver smbd[20621]:    #6 smbd [0x80d0fe2] 
Dec 18 15:47:10 fileserver smbd[20621]:    #7 smbd(mangle_map+0x82)
[0x80cef02] 
Dec 18 15:47:10 fileserver smbd[20621]:    #8 smbd [0x80ab80a] 
Dec 18 15:47:11 fileserver smbd[20621]:    #9 smbd [0x80ac07c] 
Dec 18 15:47:11 fileserver smbd[20621]:    #10
smbd(reply_trans2+0x69c) [0x80b3e4c] 
Dec 18 15:47:11 fileserver smbd[20621]:    #11 smbd [0x80c7286] 
Dec 18 15:47:11 fileserver smbd[20621]:    #12 smbd [0x80c7459] 
Dec 18 15:47:11 fileserver smbd[20621]:    #13 smbd(process_smb+0x8f)
[0x80c766f] 
Dec 18 15:47:11 fileserver smbd[20621]:    #14
smbd(smbd_process+0x167) [0x80c82a7] 
Dec 18 15:47:11 fileserver smbd[20621]:    #15 smbd(main+0x4bf)
[0x822407f] 
Dec 18 15:47:11 fileserver smbd[20621]:    #16
/lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb7254748] 
Dec 18 15:47:11 fileserver smbd[20621]:    #17 smbd(ldap_msgfree+0x69)
[0x8076ba1] 
Dec 18 15:47:11 fileserver smbd[20621]: 
Dec 18 15:47:11 fileserver samba(pam_unix)[20622]: session opened for
user Administrator by (uid=0)
Dec 18 15:47:11 fileserver smbd[20622]: [2003/12/18 15:47:11, 0]
lib/fault.c:fault_report(36) 
Dec 18 15:47:11 fileserver smbd[20622]:  
=============================================================== 
Dec 18 15:47:11 fileserver smbd[20622]: [2003/12/18 15:47:11, 0]
lib/fault.c:fault_report(37) 
Dec 18 15:47:11 fileserver smbd[20622]:   INTERNAL ERROR: Signal 11 in
pid 20622 (3.0.0-14.3E) 
Dec 18 15:47:11 fileserver smbd[20622]:   Please read the appendix
Bugs of the Samba HOWTO collection 
Dec 18 15:47:11 fileserver smbd[20622]: [2003/12/18 15:47:11, 0]
lib/fault.c:fault_report(39) 
Dec 18 15:47:11 fileserver smbd[20622]:  
=============================================================== 
Dec 18 15:47:11 fileserver smbd[20622]: [2003/12/18 15:47:11, 0]
lib/util.c:smb_panic(1422) 
Dec 18 15:47:11 fileserver smbd[20622]:   PANIC: internal error 
Dec 18 15:47:11 fileserver smbd[20622]: [2003/12/18 15:47:11, 0]
lib/util.c:smb_panic(1429) 
Dec 18 15:47:11 fileserver smbd[20622]:   BACKTRACE: 18 stack frames: 
Dec 18 15:47:11 fileserver smbd[20622]:    #0 smbd(smb_panic+0x11c)
[0x81bbedc] 
Dec 18 15:47:11 fileserver smbd[20622]:    #1 smbd [0x81aa652] 
Dec 18 15:47:11 fileserver smbd[20622]:    #2 /lib/tls/libc.so.6
[0xb7266c08] 
Dec 18 15:47:11 fileserver smbd[20622]:    #3 smbd(unix_strupper+0x36)
[0x81a85d6] 
Dec 18 15:47:11 fileserver smbd[20622]:    #4 smbd(strupper_m+0x42)
[0x81b5002] 
Dec 18 15:47:11 fileserver smbd[20622]:    #5 smbd [0x80d056a] 
Dec 18 15:47:11 fileserver smbd[20622]:    #6 smbd [0x80d0fe2] 
Dec 18 15:47:11 fileserver smbd[20622]:    #7 smbd(mangle_map+0x82)
[0x80cef02] 
Dec 18 15:47:11 fileserver smbd[20622]:    #8 smbd [0x80ab80a] 
Dec 18 15:47:11 fileserver smbd[20622]:    #9 smbd [0x80ac07c] 
Dec 18 15:47:11 fileserver smbd[20622]:    #10
smbd(reply_trans2+0x69c) [0x80b3e4c] 
Dec 18 15:47:11 fileserver smbd[20622]:    #11 smbd [0x80c7286] 
Dec 18 15:47:11 fileserver smbd[20622]:    #12 smbd [0x80c7459] 
Dec 18 15:47:11 fileserver smbd[20622]:    #13 smbd(process_smb+0x8f)
[0x80c766f] 
Dec 18 15:47:11 fileserver smbd[20622]:    #14
smbd(smbd_process+0x167) [0x80c82a7] 
Dec 18 15:47:11 fileserver smbd[20622]:    #15 smbd(main+0x4bf)
[0x822407f] 
Dec 18 15:47:11 fileserver smbd[20622]:    #16
/lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb7254748] 
Dec 18 15:47:11 fileserver smbd[20622]:    #17 smbd(ldap_msgfree+0x69)
[0x8076ba1] 
Dec 18 15:47:11 fileserver smbd[20622]: 
Dec 18 15:47:11 fileserver samba(pam_unix)[20623]: session opened for
user Administrator by (uid=0)
Dec 18 15:47:11 fileserver smbd[20623]: [2003/12/18 15:47:11, 0]
lib/fault.c:fault_report(36) 
Dec 18 15:47:11 fileserver smbd[20623]:  
=============================================================== 
Dec 18 15:47:11 fileserver smbd[20623]: [2003/12/18 15:47:11, 0]
lib/fault.c:fault_report(37) 
Dec 18 15:47:12 fileserver smbd[20623]:   INTERNAL ERROR: Signal 11 in
pid 20623 (3.0.0-14.3E) 
Dec 18 15:47:12 fileserver smbd[20623]:   Please read the appendix
Bugs of the Samba HOWTO collection 
Dec 18 15:47:12 fileserver smbd[20623]: [2003/12/18 15:47:12, 0]
lib/fault.c:fault_report(39) 
Dec 18 15:47:12 fileserver smbd[20623]:  
=============================================================== 
Dec 18 15:47:12 fileserver smbd[20623]: [2003/12/18 15:47:12, 0]
lib/util.c:smb_panic(1422) 
Dec 18 15:47:12 fileserver smbd[20623]:   PANIC: internal error 
Dec 18 15:47:12 fileserver smbd[20623]: [2003/12/18 15:47:12, 0]
lib/util.c:smb_panic(1429) 
Dec 18 15:47:12 fileserver smbd[20623]:   BACKTRACE: 18 stack frames: 
Dec 18 15:47:12 fileserver smbd[20623]:    #0 smbd(smb_panic+0x11c)
[0x81bbedc] 
Dec 18 15:47:12 fileserver smbd[20623]:    #1 smbd [0x81aa652] 
Dec 18 15:47:12 fileserver smbd[20623]:    #2 /lib/tls/libc.so.6
[0xb7266c08] 
Dec 18 15:47:12 fileserver smbd[20623]:    #3 smbd(unix_strupper+0x36)
[0x81a85d6] 
Dec 18 15:47:12 fileserver smbd[20623]:    #4 smbd(strupper_m+0x42)
[0x81b5002] 
Dec 18 15:47:12 fileserver smbd[20623]:    #5 smbd [0x80d056a] 
Dec 18 15:47:12 fileserver smbd[20623]:    #6 smbd [0x80d0fe2] 
Dec 18 15:47:12 fileserver smbd[20623]:    #7 smbd(mangle_map+0x82)
[0x80cef02] 
Dec 18 15:47:12 fileserver smbd[20623]:    #8 smbd [0x80ab80a] 
Dec 18 15:47:12 fileserver smbd[20623]:    #9 smbd [0x80ac07c] 
Dec 18 15:47:12 fileserver smbd[20623]:    #10
smbd(reply_trans2+0x69c) [0x80b3e4c] 
Dec 18 15:47:12 fileserver smbd[20623]:    #11 smbd [0x80c7286] 
Dec 18 15:47:12 fileserver smbd[20623]:    #12 smbd [0x80c7459] 
Dec 18 15:47:12 fileserver smbd[20623]:    #13 smbd(process_smb+0x8f)
[0x80c766f] 
Dec 18 15:47:12 fileserver smbd[20623]:    #14
smbd(smbd_process+0x167) [0x80c82a7] 
Dec 18 15:47:12 fileserver smbd[20623]:    #15 smbd(main+0x4bf)
[0x822407f] 
Dec 18 15:47:12 fileserver smbd[20623]:    #16
/lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb7254748] 
Dec 18 15:47:12 fileserver smbd[20623]:    #17 smbd(ldap_msgfree+0x69)
[0x8076ba1] 
Dec 18 15:47:12 fileserver smbd[20623]: 


The above messages seem to be never ending, and has made my messages
file over 17megs in size.  If I stop the windows share function, the
errors stop.  I have restarted samba, but the problem still happens.  

FYI, I was using MusicMatch to view a large samba share of MP3's.

Kimo
Comment 1 Kimo Bonnelycke 2003-12-29 22:38:31 EST

*** This bug has been marked as a duplicate of 112424 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:00:28 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.